Bug 1251247 - (f23-kde-theme) Review Request: f23-kde-theme - Fedora Twenty Three KDE Theme
Review Request: f23-kde-theme - Fedora Twenty Three KDE Theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks: kde-reviews F23Blocker-kde 1251241
  Show dependency treegraph
 
Reported: 2015-08-06 15:32 EDT by Rex Dieter
Modified: 2015-08-19 03:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: f23-kde-theme-23.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 03:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-08-06 15:32:34 EDT
Spec URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme-23.0-1.fc22.src.rpm
Description: Fedora Twenty Three KDE Theme
Fedora Account System Username: rdieter

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10625810
Comment 1 Fedora Blocker Bugs Application 2015-08-06 15:39:41 EDT
Proposed as a Blocker for 23-alpha by Fedora user rdieter using the blocker tracking app because:

 F23 kde/plasma theming, adamw poked us yesterday that this was a blocker, so here we are.
Comment 2 Sandro Mani 2015-08-06 17:01:59 EDT
Two things I notice:
- Directories without known owners:
  /usr/share/kde4/apps/kdm,
  /usr/share/kde4/apps/kdm/themes,
  /usr/share/plasma/look-and-feel,
  /usr/share/plasma,
  /usr/share/plasma/desktoptheme

- Licenses marked as %doc instead of %license
Comment 3 Rex Dieter 2015-08-06 18:49:47 EDT
Those dirs should probably be owned by kde-filesystem/kf5-filesytem, but I'll add them here until properly fixed elsehwere.
Comment 4 Rex Dieter 2015-08-06 18:57:14 EDT
Spec URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme-23.0-2.fc22.src.rpm

%changelog
* Thu Aug 06 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-2
- f23-kdm-theme: Requires: kdm (dir ownership mostly) , +README
- fix parent dir ownership, use %%license
Comment 5 Sandro Mani 2015-08-07 05:17:11 EDT
Rpmlint
-------
Checking: f23-kde-theme-23.0-2.fc24.noarch.rpm
          f23-kdm-theme-23.0-2.fc24.noarch.rpm
          f23-kde-theme-23.0-2.fc24.src.rpm
f23-kde-theme.noarch: E: description-line-too-long C This is Fedora Twenty Three KDE Theme Artwork containing Plasma Workspaces theme.
f23-kde-theme.noarch: W: dangling-relative-symlink /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/contents/components/artwork/background.png ../../../../backgrounds/f23/default/tv-wide/f23.png
f23-kdm-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/F23/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
f23-kde-theme.src: E: description-line-too-long C This is Fedora Twenty Three KDE Theme Artwork containing Plasma Workspaces theme.
f23-kde-theme.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
3 packages and 0 specfiles checked; 2 errors, 3 warnings.

=> The symlinks do indeed seem broken even after installing f23-backgrounds-base, you'll need an additional ../../ (or perhaps just specify an absolute path for clarity?)

Last two points:

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> Something like Code is GPLv2+, Artwork is CC-BY-SA
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/plasma/look-and-
     feel(plasma-workspace), /usr/share/plasma(kf5-plasma),
     /usr/share/plasma/desktoptheme(plasma-desktop, kf5-plasma)
=> This is actually the first time I notice this requirement, but is it really true? There are so many packages co-owning directories after all...
Comment 6 Mike Ruckman 2015-08-07 13:24:47 EDT
Discussed in 2015-08-07 Go/No-Go meeting. While this bug does violate the criterion as written, it's not deemed severe enough to block release and discussion is ongoing regarding the validity of this as an Alpha criterion.
Comment 7 Rex Dieter 2015-08-07 13:45:17 EDT
As far as directory ownership,
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

in short, since f23-kde-theme doesn't depend on those things that own the dirs, it's ok to co-own.  (Again, we can fix it more cleanly later by owning these exclusively in kde-filesystem/kf5-filesystem)

Spec URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/f23-kde-theme/f23-kde-theme-23.0-3.fc22.src.rpm

%changelog
* Fri Aug 07 2015 Rex Dieter <rdieter@fedoraproject.org> 23.0-3
- fix too-long %%description
- fix broken symlink
- fix mixing tabs/spaces
- clarify license
Comment 8 Sandro Mani 2015-08-07 15:41:00 EDT
LGTM, approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/plasma/look-and-
     feel(plasma-workspace), /usr/share/plasma(kf5-plasma),
     /usr/share/plasma/desktoptheme(plasma-desktop, kf5-plasma)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in f23-kdm-
     theme
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: f23-kde-theme-23.0-3.fc24.noarch.rpm
          f23-kdm-theme-23.0-3.fc24.noarch.rpm
          f23-kde-theme-23.0-3.fc24.src.rpm
f23-kde-theme.noarch: W: dangling-relative-symlink /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/contents/components/artwork/background.png ../../../../../../wallpapers/F23/contents/images/1920x1080.png
f23-kdm-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/F23/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
f23-kde-theme.noarch: W: invalid-url URL: https://fedorahosted.org/fedora-kde-artwork/ <urlopen error [Errno -5] No address associated with hostname>
f23-kde-theme.noarch: W: dangling-relative-symlink /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/contents/components/artwork/background.png ../../../../../../wallpapers/F23/contents/images/1920x1080.png
f23-kdm-theme.noarch: W: invalid-url URL: https://fedorahosted.org/fedora-kde-artwork/ <urlopen error [Errno -5] No address associated with hostname>
f23-kdm-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/F23/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
f23-kde-theme (rpmlib, GLIBC filtered):
    f23-backgrounds-kde
    kde-filesystem
    system-logos

f23-kdm-theme (rpmlib, GLIBC filtered):
    f23-backgrounds-kde
    kde-filesystem
    kdm
    system-logos



Provides
--------
f23-kde-theme:
    f23-kde-theme
    f23-plasma-desktoptheme
    f23-plasma-theme
    system-kde-theme
    system-ksplash-theme
    system-plasma-theme
    systesm-plasma-desktoptheme

f23-kdm-theme:
    f23-kdm-theme
    system-kdm-theme



Source checksums
----------------
https://fedorahosted.org/releases/f/e/fedora-kde-artwork/f23-kde-theme-23.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : f5958ac3c81bfff927678ccf11eea22d7984d3a1a394daab96088bd57cea1957
  CHECKSUM(SHA256) upstream package : f5958ac3c81bfff927678ccf11eea22d7984d3a1a394daab96088bd57cea1957


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1251247
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Rex Dieter 2015-08-08 18:13:47 EDT
New Package SCM Request
=======================
Package Name: f23-kde-theme
Short Description: Fedora Twenty Three KDE Theme
Upstream URL: http://fedorahosted.org/fedora-kde-artwork/
Owners: rdieter group::kde-sig
Branches: f23
InitialCC:
Comment 10 Gwyn Ciesla 2015-08-10 12:56:58 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2015-08-10 14:14:41 EDT
f23-kde-theme-23.0-4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/f23-kde-theme-23.0-4.fc23
Comment 12 Fedora Update System 2015-08-12 16:11:35 EDT
f23-kde-theme-23.0-4.fc23 has been pushed to the Fedora 23 testing repository.
Comment 13 Fedora Update System 2015-08-19 03:56:10 EDT
f23-kde-theme-23.0-4.fc23 has been pushed to the Fedora 23 stable repository.

Note You need to log in before you can comment on or make changes to this bug.